> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fiddler.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Model REST API Guide

> Dive into our guide to the Model REST API. Learn to list models, add models to a project, get details, update fields, generate models from samples, and more.

> [card] [Add a new model under a project](https://docs.fiddler.ai/sdk-api/rest-api/model/add-model.md)
>
> `POST /v3/models`

> [card] [Delete a model](https://docs.fiddler.ai/sdk-api/rest-api/model/delete-model.md)
>
> `DELETE /v3/models/{model_id}`

> [card] [Deploy a surrogate model](https://docs.fiddler.ai/sdk-api/rest-api/model/deploy-surrogate.md)
>
> `POST /v3/models/{model_id}/deploy-surrogate`

> [card] [Details of all columns](https://docs.fiddler.ai/sdk-api/rest-api/model/get-model-all-columns.md)
>
> `GET /v3/models/{model_id}/columns`

> [card] [Generate model from the given data sample](https://docs.fiddler.ai/sdk-api/rest-api/model/model-factory.md)
>
> `POST /v3/model-factory`

> [card] [Get details of a model](https://docs.fiddler.ai/sdk-api/rest-api/model/get-model.md)
>
> `GET /v3/models/{model_id}`

> [card] [getModelColumnV3](https://docs.fiddler.ai/sdk-api/rest-api/model/get-model-column.md)
>
> `GET /v3/models/{model_id}/columns/{column_id}`

> [card] [List models](https://docs.fiddler.ai/sdk-api/rest-api/model/get-models.md)
>
> `GET /v3/models`

> [card] [Update a surrogate model](https://docs.fiddler.ai/sdk-api/rest-api/model/deploy-surrogate-update.md)
>
> `PUT /v3/models/{model_id}/deploy-surrogate`

> [card] [Update artifacts associated with the model](https://docs.fiddler.ai/sdk-api/rest-api/model/deploy-model-artifact-update.md)
>
> `PUT /v3/models/{model_id}/deploy-artifact`

> [card] [Update the fields of a model](https://docs.fiddler.ai/sdk-api/rest-api/model/update-model.md)
>
> `PATCH /v3/models/{model_id}`

> [card] [Upload artifacts associated with the model](https://docs.fiddler.ai/sdk-api/rest-api/model/deploy-model-artifact.md)
>
> `POST /v3/models/{model_id}/deploy-artifact`
